import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationErrorBoundaryShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-error-boundary
 */
export declare class ErrorBoundary extends FoundationElement {
    logger: import("@genesislcap/foundation-utils").Logger;
    errorBoundary: HTMLElement;
    connectedCallback(): void;
}
/**
 * The Foundation Error Boundary
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-error-boundary\>
 */
export declare const foundationErrorBoundary: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBoundary, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBoundary, any>;
    shadowOptions: ShadowRootInit;
}, typeof ErrorBoundary>;
//# sourceMappingURL=error-boundary.d.ts.map